Bug 2223856

Summary: egl-wayland 1.1.12 breaks native GL applications under KDE wayland session with NVIDIA prime render offload
Product: [Fedora] Fedora Reporter: The Source <thesource>
Component: egl-waylandAssignee: leigh scott <leigh123linux>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 38CC: kwizart, leigh123linux, negativo17
Target Milestone: ---Keywords: Regression
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: egl-wayland-1.1.12-2.fc39 egl-wayland-1.1.12-2.fc37 egl-wayland-1.1.12-2.fc38 Doc Type: ---
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2023-07-19 08:15:57 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description The Source 2023-07-19 06:50:33 UTC
After an update to 1.1.12 native wayland GL applications stopped working under KDE wayland session when trying to use NVIDIA GPU (prime render offload). Here's an upstream bug report with patch released to fix the problem:
https://github.com/NVIDIA/egl-wayland/issues/83


Reproducible: Always

Steps to Reproduce:
1.Log in to KDE wayland session
2.Try to launch glmark2-es2-wayland with NVIDIA prime render offload

Actual Results:  
Application fails with "error 7: importing the supplied dmabufs failed"

Expected Results:  
Application should run as usual

Comment 1 Fedora Update System 2023-07-19 08:14:49 UTC
FEDORA-2023-89a973b996 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-89a973b996

Comment 2 Fedora Update System 2023-07-19 08:15:57 UTC
FEDORA-2023-89a973b996 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 3 Fedora Update System 2023-07-19 08:19:04 UTC
FEDORA-2023-7b3b718346 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-7b3b718346

Comment 4 Fedora Update System 2023-07-19 08:19:05 UTC
FEDORA-2023-9f374a6b9e has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-9f374a6b9e

Comment 5 Fedora Update System 2023-07-20 05:28:26 UTC
FEDORA-2023-9f374a6b9e has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-9f374a6b9e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-9f374a6b9e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2023-07-20 11:15:41 UTC
FEDORA-2023-7b3b718346 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-7b3b718346`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-7b3b718346

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2023-07-28 01:39:54 UTC
FEDORA-2023-7b3b718346 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2023-07-28 02:41:00 UTC
FEDORA-2023-9f374a6b9e has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.